VARKON Version 1.15 1997-10-24

> ## sur_offs - Geometric procedure

> Creates an offset surface.
> Description
> Creates an offset surface, which is a surface at a constant distance to a previously defined surface. The offset surface is an exact, analytically defined, surface (no approximations).
> Syntax
> sur_offs(id, ref, offset:attributes);

> REF | id;
> REF | ref;
> FLOAT | offset;

> Principal parameters

> id | - Local identity
> ref | - Surface
> offset | - Offset distance

> Optional parameters

> None |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> SFONT | - Solid boundary and dashed midcurves (0)
> SDASHL | - Dashlength

> Example
> sur_offs(#3, #2, -2.3);
> Creates an offset surface #3, which will be at the constant distance -2.3 from surface #2.
> Comments
> A check that the offset distance is less than the minimum principal curvature is not yet implemented.

VARKON Homepage | Index